Skip to content

Create a pre-registered OAuth client for the active account

POST
/oauth/clients

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"client_name": "string",
  
"client_uri": "string",
  
"redirect_uris": [
  
  
"string"
  
],
  
"token_endpoint_auth_method": "string",
  
"jwks": {
  
},
  
"jwks_uri": "string",
  
"grant_types": [
  
  
"string"
  
],
  
"response_types": [
  
  
"string"
  
]
}

Responses

Created

application/json
JSON
{
  
"client": {
  
  
"_id": "string",
  
  
"client_id": "string",
  
  
"client_name": "string",
  
  
"client_uri": "string",
  
  
"logo_uri": "string",
  
  
"redirect_uris": [
  
  
  
"string"
  
  
],
  
  
"jwks": {
  
  
},
  
  
"jwks_uri": "string",
  
  
"grant_types": [
  
  
  
"string"
  
  
],
  
  
"response_types": [
  
  
  
"string"
  
  
],
  
  
"token_endpoint_auth_method": "string",
  
  
"registration_source": "string",
  
  
"last_used_at": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"client_secret": "string"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI